petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexGetOrdering

Calculate a reordering of the mesh

### Synopsis

    #include "petscdmplex.h"
    #include "petscmat.h"
    PetscErrorCode DMPlexGetOrdering(DM dm, MatOrderingType otype, IS *perm)

Collective on DM

### Input Parameter

| dm | - The DMPlex object
| otype | - type of reordering, one of the following:

        MATORDERINGNATURAL - Natural

        MATORDERINGND - Nested Dissection

        MATORDERING1WD - One-way Dissection

        MATORDERINGRCM - Reverse Cuthill-McKee

        MATORDERINGQMD - Quotient Minimum Degree

### Output Parameter

perm -The point permutation as an IS

### Keywords

mesh

### See Also

MatGetOrdering()

Level:intermediate
Location:src/dm/impls/plex/plexreorder.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages